<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class pro_access_Controller extends Controller
{
    public $selfName = 'pro_access_Controller';
    public $dashboardName = 'dashboard';

	// GET /pro_access
	public function index(Request $request) {
		$records = DB::table('client_pro_access')->get();
		return response()->view('pro/pro_access/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/pro_access/view/$uid/SUB_dashboard");
	}
}
